Subject: FIPS 0.9 uploaded to sunsite and tsx-11
From: Arno Schaefer <[email-masked]>
Date: 20 Jan 1994 23:28:22 +0200
Newsgroups: comp.os.linux.announce

I have uploaded a new version of my program FIPS to sunsite.unc.edu
and tsx-11.mit.edu. It should appear soon as

sunsite.unc.edu:/pub/Linux/system/Install/fips09.zip
tsx-11.mit.edu:/pub/linux/dos_utils/fips09.zip

FIPS is a program to non-destructively split DOS-partitions.
You will need a defragmentation program to move your data to the beginning
of the partition.

This is the second beta release of FIPS. The version number is 0.9 beta.
It has been used succesfully by several people on the Net, and no se-
rious bugs have been reported, but one can never be 100% sure, so be
careful!

See below for an introduction.

Please note my new email address. My apologies to all who tried to
contact me in the last four months - I moved back to germany and my
account in france was closed very quickly.

Direct all questions to [email-masked]

Changes from the previous release:

Version 0.9 beta - november 7, 1993

- Save files on floppy (root and boot sector) are not overwritten -
  there may be up to ten save files on a disk.

- Verbose error messages are now displayed by default, -verbose switch
  has been removed.

- A minor error resulting in a 'division by zero' error with some invalid
  bootsectors has been corrected

>From the doc:

1. Introduction

The program was inspired by the Linux Project. When installing Linux on
a PC that was used for DOS / Windows, many people want to retain a smal-
ler partition for their DOS software. However, since most Harddisks con-
tain only one large partition, you would normally be required to do a
complete backup, erase the partition and build two (or more) new parti-
tions. Then you would restore the backup to one of the new partitions.
This is a very time consuming activity and requires lots of diskettes
(why buy 50+ disks only to once backup and restore your HD?). FIPS was
written to remedy this problem. You can now split a partition without
losing any data, provided there is enough free space for the new parti-
tion at the end of the old one.

2. Safety

FIPS was specifically designed to provide a maximum of safety. On start-
up it checks the Partition Table, Boot Sector and FAT for any inconsis-
tencies. If it finds anything suspicious, it will tell you so. If there
are errors, FIPS will not proceed.
You have the possibility to write backup copies of your root- and boot-
sector to a floppy disk before proceeding. If something goes wrong, you
may restore these with the program 'restorrb.exe'.
After you have entered the start cylinder for the new partition, FIPS
will check if the new partition is completely empty by examining the FAT
of the old one. If it is not, FIPS will stop.
After having calculated the new Partition Table and Bootsector, FIPS
will check them again, so that eventual bugs in the calculation may be
detected. Only if everything is ok, FIPS will ask for permission to
write the new Root- and Bootsector.

3. Restrictions

FIPS will only work with Hard Disk BIOSes that use interrupt 13h for low
level harddisk access. I don't know if there exist others, but if you
happen to have one (large SCSI disks, perhaps?), FIPS will most certain-
ly not find any meaningful data and thus will exit without attempting to
write anything.

FIPS will only work on disks with a sector size of 512 byte.
It seems that DOS is prepared to deal with different sector sizes, but
since they are not widely used, I decided not to support them.

FIPS will not split partitions with 12-bit FATs (you would not want to
split partitions with less than 10 MB, would you?).

FIPS will only split DOS partitions. Partition Table and Bootsector must
conform to the MSDOS 3.0+ conventions. This is marked by the system
indicator byte in the partition table, it must have the value 4 (16-bit
sector number) or 6 (32-bit sector number).
It will especially *not* split Linux-partitions.

FIPS does not yet work on extended DOS partitions.

FIPS will not work if you already have four partitions, since it needs
one free partition entry.

FIPS will not reduce the original partition to a size with less than
4085 clusters, because this would imply rewriting the 16-bit FAT to a
12-bit FAT.

-- 
--------------------------------------------------------------------------------
Arno Schaefer
Technische Hochschule Darmstadt, Fachbereich Informatik
[email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.